Subject: Re: Makefile.in

From: Zheng Gengbing <[email-masked]>
Date: Tue, 7 May 1996 08:30:13 +0800 (EAT)

On Mon, 6 May 1996, Guansong Zhang wrote:

> I know why you need a Makefile.in in config in the old time.
> 
> I think the problem is this:
> install:
>     @echo "********************** INSTALLING ***********************"
>     if [ ! -d ${includedir} ] ; then mkdir ${includedir} ; fi
>     if [ ! -d ${libdir} ] ; then mkdir ${libdir} ; fi
>     if [ ! -d ${bindir} ] ; then mkdir ${bindir} ; fi
> 
> If we put this three in sub dir seperatly instead of at the top, things will be
> better.
> 
> And let the top dir have a Makefile instead of Makefile.in
>

	In fact , where is Makefile.in put doesnot matter . I put it in config
just to make top clear . I have also tried configure.in , but failed  .
So, I only succeed to put Makefile.in in config , but not configure.in .

	As my opinion , we will delete all Makefiles when make distclean .
Then in top dir , there will be only acconfig.h ,configure.in , not 
Makefile.in .
	When run configure , it will create Makefile from config/Makefile.in.

> We can even let
> 
> all:
>   @if [! -f ./configure] $(MAKE) "MAKE=$(MAKE)" configure
> ... then the old thing for make all
> 
> or
> 
> all: configure
> ....the old thing for make all
> 
> And put
> 
> configure: configure.in acconfig.h
>         autoconf
>         autoheader
> 
> At the end of the Makefile.
> 
> 
> Do you like the idea? I think it does not conflict with any GNU convention. But
> I am not sure if GNU will do so.
> 

	I don't quite understand your method , why put configure: in every
Makefile ?

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************